Subject: Re: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Aug 2024 18:54:44 +0300

> Date: Mon, 19 Aug 2024 15:03:13 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> I'll check whether setting f->face_change = true in the relevant places
> is enough to avoid the bug...

Thanks, but I'd also like to see the callers which call
free_realized_face in a way that causes the latter to call
free_face_fontset.  That's why I asked for backtraces from those
calls, but I don't think you sent such backtraces.  What you sent was
a backtrace from realize_gui_face and another one from the abort.  The
former is too early, the latter too late.  I'd like to see the code
which causes the fontset to be freed in a way that avoids re-realizing
all of the faces that use the fontset.  That's where the problem is,
at least at my current level of understanding this issue.